package com.fdage.service;

import com.fdage.dto.ResourceTree;
import com.fdage.pojo.TbResource;
import com.fdage.pojo.TbUser;

import java.util.List;

/**
 * Created by Hb_zzZ on 2020/7/27.
 */
public interface IResourceService {

    List<TbResource> getResourcesByUserPermission(TbUser userEntity);

    List<ResourceTree> getResourcesAllByUserPermission(TbUser userEntity);

    List<ResourceTree> getResourcesAllByRolePermission(Long roleId);

    List<TbResource> findResourceByUserId(Long userId);

    List<TbResource> findResourceByRoleId(Long roleId);

    List<ResourceTree> getTree() throws Exception;
}
